Intel Compiler support for Mac OS* X 10.7 "Lion" and Xcode* 4.1

Intel Compiler support for Mac OS* X 10.7 "Lion" and Xcode* 4.1

Ronald W Green (Intel)'s picture

OS* X Lion and Xcode 4.x are supported in 12.1 versions of the compiler, aka "Composer XE 2011 SP1, Update 6" aka 12.1.0.038 build 20110817 released 24 August 2011. Please read the Release Notes, Requirements for your compiler version to find the supported versions of OS and Xcode.

12.0, 11.1 and older are not supported on Lion.

ron

At this time Intel does not officially support our compilers on Mac OS* X 10.7
and/or integration into Xcode* 4.1.

Compilers versions 11.1 and
older are known to NOT work under Lion, and these older compilers will
not be updated to work for Lion.

A future update of the 12.x compiler will support Lion, but the currently released 12.0 Update 4 also does NOT support Lion.

Do not upgrade to Lion if you need a working Intel compiler until we officially support Lion.

More information is published
here: http://software.intel.com/en-us/articles/intel-compiler-support-for-mac-os-x-107-and-xcode-41/

6 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.
Ronald W Green (Intel)'s picture

All,

It appears Apple moved all the development tools out of /usr/bin and placed them in /Developer/usr/bin

So tips:

install Xcode 4.1
update your PATH to /Developer/usr/bin

not
sure but you may need to add /Developer/usr/lib to DYLD_LIBRARY_PATH
and maybe LD_LIBRARY_PATH. Would like comments on the need for load
library path updates.

ron

Is there any ETA on when Lion will be officially supported?

Would help us plan our own migration plan to XCode4

Thanks

I'm running XCode 3.2.6 installed into /Developer-3.2.6 and have the Intel C++ compiler installed in /Developer-3.2.6 as well.

However, when I try to build some C++ code I get this error for every file:

catastrophic error: cannot open source file "bits/c++config.h"

It was all working fine when everything was installed in /Developer.

This is on Lion.

Any suggestions for a workaround?

Hello everyone:I've read the first post, which is a little bit old after a few updates of the intel compiler. In the Release Notes of Intel c++ composer XE 2011 (updated 2 febreary 2012), in page 6 setion 1.3 (system requierements), one of the possible combinations is OSX 10.7 with XCode 4.1 or 4.2, so now Lion is supported. I'm right?My second questions, related to the first, is that when I compile one cpp using the intel compiler and mkl, i get this copiling warning and I don't know what's the meaning of the warning (I use lion 10.7.3 and XCode 4.2 and C++ composer XE 2011 update 9):ld: warning: direct access in __ZN13waveUniform2D5RpropESt7complexIdE to global weak symbol __ZN13waveUniform2D5RpropESt7complexIdE means the weak symbol cannot be overridden at runtime. This was likely caused by different translation units being compiled with different visibility settings.Thank you for your time.Alex

Ronald W Green (Intel)'s picture

Correct, it is now supported.

ron

Login to leave a comment.